# gcc 10 workaround
%define _legacy_common_support 1

%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%define distsuffix plf
%endif
%if "%distro_section" == "tainted"
%global build_plf 1
%endif
%define build_pvm 0
%{?_without_pvm:		%{expand: %%global build_pvm 0}}
%{?_with_pvm:			%{expand: %%global build_pvm 1}}
%define build_dv 1
%define build_freetype 1
%define build_quicktime 1
%define build_theora 1
%define build_faac 0

Name:		transcode
Version:	1.1.7
Release:	%mkrel 29
Summary:	A linux video stream processing utility
License: 	GPLv2+
Group: 		Video/Editors and Converters
Url:		http://tcforge.berlios.de/
Source:		https://bitbucket.org/france/transcode-tcforge/downloads/%{name}-%{version}.tar.bz2
Patch0:		transcode-1.1.7-ffmpeg.patch
Patch1:		transcode-1.1.7-ffmpeg-0.10.patch
Patch2:		transcode-1.1.7-ffmpeg-0.11.patch
Patch3:		transcode-1.1.7-preset-free.patch
Patch4:		transcode-1.1.7-libav-9.patch
Patch5:		transcode-1.1.7-libav-10.patch
Patch6:		transcode-1.1.7-preset-force.patch
Patch7:		transcode-1.1.7-ffmpeg2.patch
Patch8:		transcode-1.1.7-freetype.patch
Patch9:		transcode-1.1.7-ffmpeg2.4.patch
Patch10:	transcode-1.1.7-ffmpeg29.patch
Patch11:	transcode-ffmpeg3.patch
Patch12:	transcode-1.1.7-imagemagick7.patch
Patch13:	transcode-1.1.7-ffmpeg4.patch

BuildRequires:	pkgconfig(ImageMagick)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(xv)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	ffmpeg-devel >= 0.4.9
%if %build_dv
BuildRequires:	pkgconfig(libdv) >= 0.99
%endif
BuildRequires:	pkgconfig(dvdread)
%if %build_freetype
BuildRequires:	pkgconfig(freetype2)
%endif
BuildRequires:	xvid-devel
BuildRequires:	lame-devel
BuildRequires:	a52dec-devel
BuildRequires:	liblzo-devel
BuildRequires:	libnetpbm-devel
BuildRequires:	pkgconfig(libv4l1)
BuildRequires:	pkgconfig(x264)
BuildRequires:	pkgconfig(mjpegtools)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(libmpeg2)
%if %build_faac
BuildRequires:	libfaac-devel
%endif
%if %build_quicktime
BuildRequires:	pkgconfig(libquicktime) >= 0.9.3
%endif
%if %build_theora
BuildRequires:	pkgconfig(theora)
%endif
%if %build_pvm
BuildRequires:	libpvm-devel >= 3.4
%endif
#gw these are requirements of the plf version of libMagick-devel
BuildRequires:	pkgconfig(jasper)
BuildRequires:	jbig-devel

%description
transcode is a text-console video stream processing
tool. Decoding and encoding is done by loading shared library modules
that are responsible for feeding transcode with raw RGB/PCM streams
(import module) and encoding the frames (export module). It supports
elementary video and audio frame transformations.
Some example modules are included to enable import
of MPEG program streams (VOB), Digital Video (DV), or YUV video
and export modules for writing DivX;-), OpenDivX, or uncompressed AVI files.
A set of tools is available to extract and decode the sources into
raw video/audio streams for import and to enable post-processing of AVI files.

This package is in tainted as it could violate some patents.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%ifarch %ix86
export CPPFLAGS="$CPPFLAGS -mmmx"
%endif
%configure \
	--enable-libmpeg2 \
	--enable-libmpeg2convert \
	--enable-a52-default-decoder \
	--with-default-xvid=xvid4 \
%if %build_dv
	--enable-libdv \
%endif
%if %build_pvm
	--with-pvm3-lib=%{_datadir}/pvm3/lib/LINUX/ \
%else
	--disable-pvm3 \
%endif
	--enable-imagemagick \
	--enable-mjpegtools \
	--enable-netstream \
	--enable-ogg \
	--enable-vorbis \
%if %build_theora
	--enable-theora \
%endif
%if %build_quicktime
	--enable-libquicktime \
%endif
	--enable-lzo --with-lzo-includes=%{_includedir}/lzo \
	--enable-libxml2 \
	--enable-a52 \
	--enable-sdl \
	--enable-v4l \
	--enable-libv4l2 \
	--enable-libv4lconvert \
	--enable-libfame \
	--enable-oss \
	--enable-alsa \
	--enable-libpostproc \
%if %{build_faac}
	--enable-faac \
%endif
	--enable-deprecated \
%if %build_freetype
	--enable-freetype2 \
%else
	--disable-freetype2 \
%endif
	--enable-xvid \
	--enable-x264

%make_build

%install
%make_install transform=""

for file in `find %{buildroot} -name "*.la"`; do
	perl -pi -e 's|'%{buildroot}'/%{name}-%{version}/||g' $file
done
mv %{buildroot}%{_datadir}/doc/transcode installed-docs

%files
%doc installed-docs/*
%{_bindir}/transcode
%{_bindir}/tccat
%{_bindir}/aviindex
%{_bindir}/avimerge
%{_bindir}/avisplit
%{_bindir}/tcdemux
%{_bindir}/tcprobe
%{_bindir}/avifix
%{_bindir}/tcscan
%{_bindir}/tcextract
%{_bindir}/avisync
%{_bindir}/tcdecode
%{_bindir}/tcmodinfo
%{_bindir}/tcxmlcheck
%{_bindir}/tcxpm2rgb
%{_bindir}/tcmp3cut
%{_bindir}/tcrequant
%if %build_pvm
%{_bindir}/tcpvmexportd
%endif
%{_bindir}/tcyait
%{_libdir}/%{name}
%{_mandir}/man1/*


%changelog
* Mon Nov 16 2020 kekepower <kekepower> 1.1.7-29.mga8
+ Revision: 1646571
- Rebuild for new Imagemagick lib major

* Mon Jul 06 2020 daviddavid <daviddavid> 1.1.7-28.mga8.tainted
+ Revision: 1602647
- rebuild for new x264-0.157

* Fri May 01 2020 daviddavid <daviddavid> 1.1.7-27.mga8.tainted
+ Revision: 1577520
- rebuild for new dvdread 6.1.1

* Fri Feb 21 2020 umeabot <umeabot> 1.1.7-26.mga8.tainted
+ Revision: 1548889
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 30 2019 kekepower <kekepower> 1.1.7-25.mga8.tainted
+ Revision: 1474955
- Rebuild for new imagemagick

* Mon Nov 25 2019 tv <tv> 1.1.7-24.mga8.tainted
+ Revision: 1462771
- rebuild for new libdvdread

* Sun Dec 30 2018 luigiwalser <luigiwalser> 1.1.7-23.mga7.tainted
+ Revision: 1347154
- rebuild for x264

* Fri Sep 21 2018 umeabot <umeabot> 1.1.7-22.mga7.tainted
+ Revision: 1291930
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 1.1.7-21.mga7.tainted
+ Revision: 1224495
- Rebuild for ImageMagic 7.0.7.29

* Tue May 01 2018 daviddavid <daviddavid> 1.1.7-20.mga7.tainted
+ Revision: 1224181
- add another gentoo patch to fix build with libav-10
- add gentoo patch to fix build with ffmpeg 4.0
- rebuild for new ffmpeg 4.0

* Sun Jan 21 2018 wally <wally> 1.1.7-19.mga7.tainted
+ Revision: 1195408
- add pld patch via gentoo to fix build with imagemagick-7
- rebuild for new imagemagick

* Wed Dec 27 2017 wally <wally> 1.1.7-18.mga7.tainted
+ Revision: 1185831
- rebuild for new imagemagick

* Sat May 27 2017 shlomif <shlomif> 1.1.7-17.mga6.tainted
+ Revision: 1105209
- rebuild for new imagemagick

* Thu Mar 09 2017 akien <akien> 1.1.7-16.mga6.tainted
+ Revision: 1090893
- Add patches from Archlinux to fix ffmpeg 3.0+ compatibility
- Rebuild for ffmpeg 3.2.4

* Fri Mar 04 2016 luigiwalser <luigiwalser> 1.1.7-15.mga6.tainted
+ Revision: 985753
- rebuild for mjpegutils

* Mon Jan 18 2016 luigiwalser <luigiwalser> 1.1.7-14.mga6.tainted
+ Revision: 925622
- rebuild for x264

* Tue Nov 18 2014 akien <akien> 1.1.7-13.mga5.tainted
+ Revision: 797736
- Fix build with ffmpeg 2.4
+ tv <tv>
- rebuild for new ffmpeg

* Wed Oct 15 2014 umeabot <umeabot> 1.1.7-12.mga5.tainted
+ Revision: 742848
- Second Mageia 5 Mass Rebuild

* Tue Aug 19 2014 luigiwalser <luigiwalser> 1.1.7-11.mga5.tainted
+ Revision: 665762
- add patch from debian to fix build with newer freetype2
- rebuild for imagemagick
- rebuild for x264

* Thu Oct 31 2013 tmb <tmb> 1.1.7-9.mga4.tainted
+ Revision: 548270
- Mageia 4 rebuild

* Tue Aug 13 2013 fwang <fwang> 1.1.7-8.mga4.tainted
+ Revision: 466113
- sync with gentoo patches
- try fix build with recent ffmpeg
- cleanup spec
- rebuild for new ffmpeg

* Tue May 28 2013 fwang <fwang> 1.1.7-6.mga4.tainted
+ Revision: 429199
- rebuild for new imagemagick

* Mon Jan 14 2013 umeabot <umeabot> 1.1.7-5.mga3.tainted
+ Revision: 384732
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 fwang <fwang> 1.1.7-4.mga3.tainted
+ Revision: 330825
- drop old symbol
- rebuild for new imagemagick
- rebuild for new imagemagick

* Sat Sep 08 2012 dams <dams> 1.1.7-2.mga3.tainted
+ Revision: 289838
- add a patch to build with ffmpeg 1.1.7 (from Arch)
- rebuild for new libavformat

* Sun Mar 04 2012 luigiwalser <luigiwalser> 1.1.7-1.mga2.tainted
+ Revision: 217666
- 1.1.7
- update ffmpeg patch (from gentoo)

* Fri Jan 27 2012 fwang <fwang> 1.1.5-12.mga2.tainted
+ Revision: 202198
- fix build with latest ffmpeg
- rebuild for new ffmpeg

* Thu Dec 22 2011 tv <tv> 1.1.5-11.mga2.tainted
+ Revision: 185752
- bump release

* Fri Dec 02 2011 obgr_seneca <obgr_seneca> 1.1.5-10.mga2.tainted
+ Revision: 175034
- rebuild to fix bug #3562
- bump relese

* Mon Jul 18 2011 fwang <fwang> 1.1.5-9.mga2.tainted
+ Revision: 125849
- rebuild for new mjpegtools

* Sat Jul 16 2011 stormi <stormi> 1.1.5-8.mga2.tainted
+ Revision: 124747
+ rebuild (emptylog)

* Sat Jun 25 2011 fwang <fwang> 1.1.5-7.mga2.tainted
+ Revision: 113593
- fix build with latest ffmpeg
- rebuild for new ffmpeg

* Wed Jun 22 2011 obgr_seneca <obgr_seneca> 1.1.5-6.mga2.tainted
+ Revision: 112523
- corrected plf to tainted

* Wed Jun 22 2011 obgr_seneca <obgr_seneca> 1.1.5-5.mga2.tainted
+ Revision: 112501
- added tainted to spec file
- cleaned spec file
- disabled faac build since it's not (yet) in Mga
- imported package transcode

